Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » MoDisco » build errors
build errors [message #1714] Thu, 02 July 2009 10:37 Go to next message
Porter is currently offline Porter
Messages: 42
Registered: July 2009
Member
Is there a version of the j2se5 discoverer, kdm to uml, and java-ast that
compile, or a compiled jar available? The svn sources won't build.
Re: build errors [message #1723 is a reply to message #1714] Fri, 03 July 2009 04:45 Go to previous messageGo to next message
Gabriel BARBIER is currently offline Gabriel BARBIER
Messages: 106
Registered: July 2009
Senior Member
Hello,

Firstly I'm sorry if you encountered problems to use MoDisco, we plan to deliver an update site asap.
However, jar of discoverers should be available separately from each presentation page in download section.

And finally, if svn sources don't build, could you send me error log ? I would like to fix it.

Here is my scenario to test them :
I download Ganymede bundle of modeling project (because our plugins are not compliant with ATL 3.0 which is part of
Galileo, I'm doing migration).
I check-out plugins core, j2se5 (metamodel) and j2se5 discoverer, kdm (metamodel) and uml2converter. It should compile,
and I am able to export them as plugins in my eclipse installation or run an eclipse application to test them.

Regards,
Gabriel

Porter wrote:
> Is there a version of the j2se5 discoverer, kdm to uml, and java-ast
> that compile, or a compiled jar available? The svn sources won't build.
>
Re: build errors [message #1732 is a reply to message #1723] Fri, 03 July 2009 06:57 Go to previous messageGo to next message
Porter is currently offline Porter
Messages: 42
Registered: July 2009
Member
Gabriel wrote:

> Hello,

> Firstly I'm sorry if you encountered problems to use MoDisco, we plan to
deliver an update site asap.
> However, jar of discoverers should be available separately from each
presentation page in download section.

> And finally, if svn sources don't build, could you send me error log ? I
would like to fix it.

> Here is my scenario to test them :
> I download Ganymede bundle of modeling project (because our plugins are not
compliant with ATL 3.0 which is part of
> Galileo, I'm doing migration).
> I check-out plugins core, j2se5 (metamodel) and j2se5 discoverer, kdm
(metamodel) and uml2converter. It should compile,
> and I am able to export them as plugins in my eclipse installation or run an
eclipse application to test them.

> Regards,
> Gabriel

> Porter wrote:
>> Is there a version of the j2se5 discoverer, kdm to uml, and java-ast
>> that compile, or a compiled jar available? The svn sources won't build.
>>
Gabriel

Thanks for your reply and instructions.
In the download section I could find jars of other components (e.g. kdm
discovered, generic model editor) but the other plugins listed in my post
seem to be source projects.

I'm using Galileo already (as I need Xtext) but your reply explains why I
got compile errors. I tried to compile using the Modeling package for
Galileo. Some of the errors were due to method calls to ATL which didn't
exist. I downloaded the latest ATL source from CVS but it didn't help -
now I know why.

I'll wait until you've had time to complete the Galileo migration.
Would you still like to see the error log? I'm sure you'll see the same
errors if you pull down current ATL3.0 and modisco sources into a Galileo
modeling package.

Thanks

Porter Ricks.
Re: build errors [message #1739 is a reply to message #1732] Mon, 06 July 2009 02:51 Go to previous message
Gabriel BARBIER is currently offline Gabriel BARBIER
Messages: 106
Registered: July 2009
Senior Member
Hello,
Now following components should be conform to Galileo and so ATL 3.0:

- org.eclipse.gmt.modisco.core
- org.eclipse.gmt.modisco.j2se5
- org.eclipse.gmt.modisco.j2se5.discoverer
- org.eclipse.gmt.modisco.kdm
- org.eclipse.gmt.modisco.kdm.uml2converter
- org.eclipse.gmt.modisco.discoverersmanager

other components will follow asap.
Regards,
Gabriel

Porter wrote:
> Gabriel wrote:
>
>> Hello,
>
>> Firstly I'm sorry if you encountered problems to use MoDisco, we plan to
> deliver an update site asap.
>> However, jar of discoverers should be available separately from each
> presentation page in download section.
>
>> And finally, if svn sources don't build, could you send me error log ? I
> would like to fix it.
>
>> Here is my scenario to test them :
>> I download Ganymede bundle of modeling project (because our plugins
>> are not
> compliant with ATL 3.0 which is part of
>> Galileo, I'm doing migration).
>> I check-out plugins core, j2se5 (metamodel) and j2se5 discoverer, kdm
> (metamodel) and uml2converter. It should compile,
>> and I am able to export them as plugins in my eclipse installation or
>> run an
> eclipse application to test them.
>
>> Regards,
>> Gabriel
>
>> Porter wrote:
>>> Is there a version of the j2se5 discoverer, kdm to uml, and java-ast
>>> that compile, or a compiled jar available? The svn sources won't build.
>>>
> Gabriel
>
> Thanks for your reply and instructions.
> In the download section I could find jars of other components (e.g. kdm
> discovered, generic model editor) but the other plugins listed in my
> post seem to be source projects.
>
> I'm using Galileo already (as I need Xtext) but your reply explains why
> I got compile errors. I tried to compile using the Modeling package for
> Galileo. Some of the errors were due to method calls to ATL which didn't
> exist. I downloaded the latest ATL source from CVS but it didn't help -
> now I know why.
>
> I'll wait until you've had time to complete the Galileo migration.
> Would you still like to see the error log? I'm sure you'll see the same
> errors if you pull down current ATL3.0 and modisco sources into a
> Galileo modeling package.
>
> Thanks
>
> Porter Ricks.
>
Re: build errors [message #573454 is a reply to message #1714] Fri, 03 July 2009 04:45 Go to previous message
Gabriel BARBIER is currently offline Gabriel BARBIER
Messages: 106
Registered: July 2009
Senior Member
Hello,

Firstly I'm sorry if you encountered problems to use MoDisco, we plan to deliver an update site asap.
However, jar of discoverers should be available separately from each presentation page in download section.

And finally, if svn sources don't build, could you send me error log ? I would like to fix it.

Here is my scenario to test them :
I download Ganymede bundle of modeling project (because our plugins are not compliant with ATL 3.0 which is part of
Galileo, I'm doing migration).
I check-out plugins core, j2se5 (metamodel) and j2se5 discoverer, kdm (metamodel) and uml2converter. It should compile,
and I am able to export them as plugins in my eclipse installation or run an eclipse application to test them.

Regards,
Gabriel

Porter wrote:
> Is there a version of the j2se5 discoverer, kdm to uml, and java-ast
> that compile, or a compiled jar available? The svn sources won't build.
>
Re: build errors [message #573475 is a reply to message #1723] Fri, 03 July 2009 06:57 Go to previous message
Porter is currently offline Porter
Messages: 42
Registered: July 2009
Member
Gabriel wrote:

> Hello,

> Firstly I'm sorry if you encountered problems to use MoDisco, we plan to
deliver an update site asap.
> However, jar of discoverers should be available separately from each
presentation page in download section.

> And finally, if svn sources don't build, could you send me error log ? I
would like to fix it.

> Here is my scenario to test them :
> I download Ganymede bundle of modeling project (because our plugins are not
compliant with ATL 3.0 which is part of
> Galileo, I'm doing migration).
> I check-out plugins core, j2se5 (metamodel) and j2se5 discoverer, kdm
(metamodel) and uml2converter. It should compile,
> and I am able to export them as plugins in my eclipse installation or run an
eclipse application to test them.

> Regards,
> Gabriel

> Porter wrote:
>> Is there a version of the j2se5 discoverer, kdm to uml, and java-ast
>> that compile, or a compiled jar available? The svn sources won't build.
>>
Gabriel

Thanks for your reply and instructions.
In the download section I could find jars of other components (e.g. kdm
discovered, generic model editor) but the other plugins listed in my post
seem to be source projects.

I'm using Galileo already (as I need Xtext) but your reply explains why I
got compile errors. I tried to compile using the Modeling package for
Galileo. Some of the errors were due to method calls to ATL which didn't
exist. I downloaded the latest ATL source from CVS but it didn't help -
now I know why.

I'll wait until you've had time to complete the Galileo migration.
Would you still like to see the error log? I'm sure you'll see the same
errors if you pull down current ATL3.0 and modisco sources into a Galileo
modeling package.

Thanks

Porter Ricks.
Re: build errors [message #573496 is a reply to message #1732] Mon, 06 July 2009 02:51 Go to previous message
Gabriel BARBIER is currently offline Gabriel BARBIER
Messages: 106
Registered: July 2009
Senior Member
Hello,
Now following components should be conform to Galileo and so ATL 3.0:

- org.eclipse.gmt.modisco.core
- org.eclipse.gmt.modisco.j2se5
- org.eclipse.gmt.modisco.j2se5.discoverer
- org.eclipse.gmt.modisco.kdm
- org.eclipse.gmt.modisco.kdm.uml2converter
- org.eclipse.gmt.modisco.discoverersmanager

other components will follow asap.
Regards,
Gabriel

Porter wrote:
> Gabriel wrote:
>
>> Hello,
>
>> Firstly I'm sorry if you encountered problems to use MoDisco, we plan to
> deliver an update site asap.
>> However, jar of discoverers should be available separately from each
> presentation page in download section.
>
>> And finally, if svn sources don't build, could you send me error log ? I
> would like to fix it.
>
>> Here is my scenario to test them :
>> I download Ganymede bundle of modeling project (because our plugins
>> are not
> compliant with ATL 3.0 which is part of
>> Galileo, I'm doing migration).
>> I check-out plugins core, j2se5 (metamodel) and j2se5 discoverer, kdm
> (metamodel) and uml2converter. It should compile,
>> and I am able to export them as plugins in my eclipse installation or
>> run an
> eclipse application to test them.
>
>> Regards,
>> Gabriel
>
>> Porter wrote:
>>> Is there a version of the j2se5 discoverer, kdm to uml, and java-ast
>>> that compile, or a compiled jar available? The svn sources won't build.
>>>
> Gabriel
>
> Thanks for your reply and instructions.
> In the download section I could find jars of other components (e.g. kdm
> discovered, generic model editor) but the other plugins listed in my
> post seem to be source projects.
>
> I'm using Galileo already (as I need Xtext) but your reply explains why
> I got compile errors. I tried to compile using the Modeling package for
> Galileo. Some of the errors were due to method calls to ATL which didn't
> exist. I downloaded the latest ATL source from CVS but it didn't help -
> now I know why.
>
> I'll wait until you've had time to complete the Galileo migration.
> Would you still like to see the error log? I'm sure you'll see the same
> errors if you pull down current ATL3.0 and modisco sources into a
> Galileo modeling package.
>
> Thanks
>
> Porter Ricks.
>
Previous Topic:build errors
Next Topic:The MoDisco Update Site is now available + new theme for the MoDisco website
Goto Forum:
  


Current Time: Sat Aug 30 04:38:52 EDT 2014

Powered by FUDForum. Page generated in 0.01932 seconds